Bug 177106 - Code formatting breaks fully qualified argument type
Code formatting breaks fully qualified argument type
Status: VERIFIED FIXED
Product: javafx
Classification: Unclassified
Component: Editor
6.x
PC Windows XP
: P3 (vote)
: 6.x
Assigned To: Anton Chechel
issues@javafx
68patch1-verified
:
Depends on:
Blocks: 173487
  Show dependency treegraph
 
Reported: 2009-11-18 08:23 UTC by Alexandr Scherbatiy
Modified: 2010-01-26 03:00 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandr Scherbatiy 2009-11-18 08:23:22 UTC
Product Version         = NetBeans IDE Dev (Build 200911171401) (#d7b3ad6247f5)
  Operating System        = Windows XP version 5.1 running on x86
  Java; VM; Vendor        = 1.6.0_15; Java HotSpot(TM) Client VM 14.1-b02; Sun
Microsystems Inc.


Steps to reproduce:
- Format the code
--------------------------------------------------------
function start(runnable: java.lang.Runnable) {
}
--------------------------------------------------------

The result is:
--------------------------------------------------------
function start(runnable: java 
.lang.Runnable) {
}
--------------------------------------------------------
Comment 1 Anton Chechel 2009-11-23 08:07:59 UTC
fixed
http://hg.netbeans.org/javafx/rev/eca00422bd95
Comment 2 Alexandr Scherbatiy 2009-12-11 05:11:09 UTC
verified in NetBeans-JavaFX-Soma:  #62
Comment 3 Petr Suchomel 2010-01-15 03:16:20 UTC
Fixed in release68_fixes
http://hg.netbeans.org/javafx/rev/dc1a0e31990a
Comment 4 Alexandr Scherbatiy 2010-01-26 03:00:38 UTC
Verified in NB 6.8 patch1 2010-01-25_21-27-59


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo